diff -Nru --exclude=CVS --exclude=CMakeFiles certi.orig/include/certi.hh certi/include/certi.hh
--- certi.orig/include/certi.hh	2008-12-10 18:23:34.000000000 +0100
+++ certi/include/certi.hh	2008-12-13 18:01:07.000000000 +0100
@@ -102,30 +102,29 @@
 
 namespace certi {
 
-// RTI Shortcuts
-typedef RTI::AttributeHandle AttributeHandle ;
-typedef RTI::DimensionHandle DimensionHandle ;
-typedef RTI::EventRetractionHandle EventRetractionHandle ;
-typedef RTI::ExtentIndex ExtentIndex ;
-typedef RTI::FederateHandle FederateHandle ;
-typedef RTI::Handle Handle ;
-typedef RTI::InteractionClassHandle InteractionClassHandle ;
-typedef RTI::ObjectClassHandle ObjectClassHandle ;
-typedef RTI::ObjectHandle ObjectHandle ;
-typedef RTI::OrderType OrderType ;
-typedef RTI::ParameterHandle ParameterHandle ;
-typedef RTI::SpaceHandle SpaceHandle ;
-typedef RTI::TransportType TransportType ;
-typedef RTI::ULong ULong ;
-typedef RTI::UShort UShort ;
+typedef unsigned short UShort;
+typedef unsigned long ULong;
+typedef long Long;
+typedef ULong Handle;
+typedef Handle ObjectClassHandle;
+typedef Handle InteractionClassHandle;
+typedef ULong ExtentIndex;
+typedef Handle AttributeHandle;
+typedef Handle ParameterHandle;
+typedef Handle ObjectHandle;
+typedef Handle DimensionHandle;
+typedef Handle FederateHandle;
+typedef Handle OrderType;
+typedef Long SpaceHandle;
+typedef Handle TransportType;
+
+typedef RTI::EventRetractionHandle EventRetractionHandle;
 
-typedef RTI::Double FederationTime ;
 typedef UShort ObjectHandlecount ;
 typedef std::string ObjectName_t ;
 typedef std::string AttributeValue_t;
 typedef std::string ParameterValue_t;
 
-typedef RTI::Double FederationTimeDelta ;
 enum ObjectRemovalReason {
     OUT_OF_REGION = 1,
     OBJECT_DELETED,
diff -Nru --exclude=CVS --exclude=CMakeFiles certi.orig/include/fedtime.hh certi/include/fedtime.hh
--- certi.orig/include/fedtime.hh	2008-12-10 18:43:10.000000000 +0100
+++ certi/include/fedtime.hh	2008-12-13 18:11:36.000000000 +0100
@@ -4,32 +4,13 @@
 #ifndef HLA_FEDTIME_HH
 #define HLA_FEDTIME_HH
 
-#ifdef _WIN32
-#include <windows.h>
-#else
+#include "RTI.hh"
 #include <sys/types.h>
 #include <string.h>
-#endif
-
-#if defined(_WIN32)
-    #if defined(FedTime_EXPORTS)
-        #define FEDTIME_EXPORT __declspec(dllexport)
-    #else
-        #define FEDTIME_EXPORT __declspec(dllimport)
-    #endif
-#else
-	#define FEDTIME_EXPORT
-#endif
-
-#include "RTI.hh"
 
 class FEDTIME_EXPORT RTIfedTime : public RTI::FedTime
 {
 public:
-
-	static const double epsilon;
-	static int fcmp(const double x1, const double x2);
-
     RTIfedTime();
     RTIfedTime(const RTI::Double &);
     RTIfedTime(const RTI::FedTime &);
diff -Nru --exclude=CVS --exclude=CMakeFiles certi.orig/include/RTI.hh certi/include/RTI.hh
--- certi.orig/include/RTI.hh	2008-12-10 18:43:10.000000000 +0100
+++ certi/include/RTI.hh	2008-12-13 18:08:11.000000000 +0100
@@ -16,14 +16,14 @@
 	#else
 		#define RTI_EXPORT __declspec(dllimport)
 	#endif
-    #if !defined(FEDTIME_EXPORT)
-       #define FEDTIME_EXPORT
+    #if defined(FedTime_EXPORTS)
+        #define FEDTIME_EXPORT __declspec(dllexport)
+    #else
+        #define FEDTIME_EXPORT __declspec(dllimport)
     #endif
 #else
 	#define RTI_EXPORT
-    #if !defined(FEDTIME_EXPORT)
-        #define FEDTIME_EXPORT
-    #endif
+    #define FEDTIME_EXPORT
 #endif
 
 #ifdef RTI_USES_STD_FSTREAM
diff -Nru --exclude=CVS --exclude=CMakeFiles certi.orig/libCERTI/CMakeLists.txt certi/libCERTI/CMakeLists.txt
--- certi.orig/libCERTI/CMakeLists.txt	2008-12-10 18:23:34.000000000 +0100
+++ certi/libCERTI/CMakeLists.txt	2008-12-13 06:17:42.000000000 +0100
@@ -64,6 +64,7 @@
 )
 
 SET(CERTI_TIME_SRCS
+FedTime.cc FedTime.hh
 LBTS.cc
 LBTS.hh
 )
@@ -206,44 +207,7 @@
 
 SET_TARGET_PROPERTIES(CERTI PROPERTIES VERSION 1.0.0 SOVERSION 1)
 
-##################################################################
-# Lib FedTime 
-# A replacement lib FedTime may be provided by the user
-# CERTI is provided one. The lib FedTime depends on libRTI
-# since it inherits from the RTI::FedTime abstract class.
-##################################################################
-IF(CMAKE_COMPILER_IS_GNUCC)
-    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-long-long")
-ENDIF(CMAKE_COMPILER_IS_GNUCC)
-IF(CMAKE_COMPILER_IS_GNUCXX)
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-long-long")
-ENDIF(CMAKE_COMPILER_IS_GNUCXX)
-
-INCLUDE_DIRECTORIES(../libHLA)
-SET(FEDTIME_SRCS
-    FedTime.cc
-    ${CMAKE_SOURCE_DIR}/include/fedtime.hh
-)
-
-SOURCE_GROUP("Source Files\\FedTime" FILES ${FEDTIME_SRCS})
-
-ADD_LIBRARY(FedTime
-    ${FEDTIME_SRCS}
-)
-
-TARGET_LINK_LIBRARIES(FedTime RTI HLA)
-
-SET_TARGET_PROPERTIES(FedTime PROPERTIES PROJECT_LABEL LibFedTime)
-IF (MINGW)
-    SET_TARGET_PROPERTIES(FedTime PROPERTIES LINK_FLAGS "-Wl,--output-def,${LIBRARY_OUTPUT_PATH}/libFedTime.def")
-    INSTALL(FILES ${LIBRARY_OUTPUT_PATH}/libFedTime.def
-            DESTINATION lib)
-ENDIF (MINGW)
-
-SET_TARGET_PROPERTIES(FedTime PROPERTIES VERSION 1.0.0 SOVERSION 1)
-
-# Install rules for both libCERTI and libFedTime
-INSTALL(TARGETS CERTI FedTime
+INSTALL(TARGETS CERTI
     RUNTIME DESTINATION bin
     LIBRARY DESTINATION lib
     ARCHIVE DESTINATION lib)
diff -Nru --exclude=CVS --exclude=CMakeFiles certi.orig/libCERTI/Exception.cc certi/libCERTI/Exception.cc
--- certi.orig/libCERTI/Exception.cc	2008-12-07 11:39:03.000000000 +0100
+++ certi/libCERTI/Exception.cc	2008-12-13 03:58:08.000000000 +0100
@@ -27,116 +27,118 @@
 #include "PrettyDebug.hh"
 #include <sstream>
 
+using namespace certi;
+
 // static members for HLA Exceptions
-long certi::ArrayIndexOutOfBounds::_type = certi::e_ArrayIndexOutOfBounds ;
-long certi::AsynchronousDeliveryAlreadyDisabled::_type = certi::e_AsynchronousDeliveryAlreadyDisabled ;
-long certi::AsynchronousDeliveryAlreadyEnabled::_type = certi::e_AsynchronousDeliveryAlreadyEnabled ;
-long certi::AttributeAcquisitionWasNotRequested::_type = certi::e_AttributeAcquisitionWasNotRequested ;
-long certi::AttributeAcquisitionWasNotCanceled::_type = certi::e_AttributeAcquisitionWasNotCanceled ;
-long certi::AttributeAlreadyBeingAcquired::_type = certi::e_AttributeAlreadyBeingAcquired ;
-long certi::AttributeAlreadyBeingDivested::_type = certi::e_AttributeAlreadyBeingDivested ;
-long certi::AttributeAlreadyOwned::_type = certi::e_AttributeAlreadyOwned ;
-long certi::AttributeDivestitureWasNotRequested::_type = certi::e_AttributeDivestitureWasNotRequested ;
-long certi::AttributeNotDefined::_type = certi::e_AttributeNotDefined ;
-long certi::AttributeNotKnown::_type = certi::e_AttributeNotKnown ;
-long certi::AttributeNotOwned::_type = certi::e_AttributeNotOwned ;
-long certi::AttributeNotPublished::_type = certi::e_AttributeNotPublished ;
-long certi::ConcurrentAccessAttempted::_type = certi::e_ConcurrentAccessAttempted ;
-long certi::CouldNotDiscover::_type = certi::e_CouldNotDiscover ;
-long certi::CouldNotOpenFED::_type = certi::e_CouldNotOpenFED ;
-long certi::CouldNotRestore::_type = certi::e_CouldNotRestore ;
-long certi::DeletePrivilegeNotHeld::_type = certi::e_DeletePrivilegeNotHeld ;
-long certi::DimensionNotDefined::_type = certi::e_DimensionNotDefined ;
-long certi::EnableTimeConstrainedPending::_type = certi::e_EnableTimeConstrainedPending ;
-long certi::EnableTimeConstrainedWasNotPending::_type = certi::e_EnableTimeConstrainedWasNotPending ;
-long certi::EnableTimeRegulationPending::_type = certi::e_EnableTimeRegulationPending ;
-long certi::EnableTimeRegulationWasNotPending::_type = certi::e_EnableTimeRegulationWasNotPending ;
-long certi::ErrorReadingFED::_type = certi::e_ErrorReadingFED ;
-long certi::EventNotKnown::_type = certi::e_EventNotKnown ;
-long certi::FederateAlreadyExecutionMember::_type = certi::e_FederateAlreadyExecutionMember ;
-long certi::FederateInternalError::_type = certi::e_FederateInternalError ;
-long certi::FederateLoggingServiceCalls::_type = certi::e_FederateLoggingServiceCalls ;
-long certi::FederateNotExecutionMember::_type = certi::e_FederateNotExecutionMember ;
-long certi::FederateOwnsAttributes::_type = certi::e_FederateOwnsAttributes ;
-long certi::FederateWasNotAskedToReleaseAttribute::_type = certi::e_FederateWasNotAskedToReleaseAttribute ;
-long certi::FederatesCurrentlyJoined::_type = certi::e_FederatesCurrentlyJoined ;
-long certi::FederationExecutionAlreadyExists::_type = certi::e_FederationExecutionAlreadyExists ;
-long certi::FederationExecutionDoesNotExist::_type = certi::e_FederationExecutionDoesNotExist ;
-long certi::FederationTimeAlreadyPassed::_type = certi::e_FederationTimeAlreadyPassed ;
-long certi::HandleValuePairMaximumExceeded::_type = certi::e_HandleValuePairMaximumExceeded ;
-long certi::InteractionClassNotDefined::_type = certi::e_InteractionClassNotDefined ;
-long certi::InteractionClassNotKnown::_type = certi::e_InteractionClassNotKnown ;
-long certi::InteractionClassNotPublished::_type = certi::e_InteractionClassNotPublished ;
-long certi::InteractionClassNotSubscribed::_type = certi::e_InteractionClassNotSubscribed ;
-long certi::InteractionParameterNotDefined::_type = certi::e_InteractionParameterNotDefined ;
-long certi::InteractionParameterNotKnown::_type = certi::e_InteractionParameterNotKnown ;
-long certi::InvalidExtents::_type = certi::e_InvalidExtents ;
-long certi::InvalidFederationTime::_type = certi::e_InvalidFederationTime ;
-long certi::InvalidHandleValuePairSetContext::_type = certi::e_InvalidHandleValuePairSetContext ;
-long certi::InvalidLookahead::_type = certi::e_InvalidLookahead ;
-long certi::InvalidOrderingHandle::_type = certi::e_InvalidOrderingHandle ;
-long certi::InvalidRegionContext::_type = certi::e_InvalidRegionContext ;
-long certi::InvalidResignAction::_type = certi::e_InvalidResignAction ;
-long certi::InvalidRetractionHandle::_type = certi::e_InvalidRetractionHandle ;
-long certi::InvalidTransportationHandle::_type = certi::e_InvalidTransportationHandle ;
-long certi::MemoryExhausted::_type = certi::e_MemoryExhausted ;
-long certi::NameNotFound::_type = certi::e_NameNotFound ;
-long certi::ObjectClassNotDefined::_type = certi::e_ObjectClassNotDefined ;
-long certi::ObjectClassNotKnown::_type = certi::e_ObjectClassNotKnown ;
-long certi::ObjectClassNotPublished::_type = certi::e_ObjectClassNotPublished ;
-long certi::ObjectClassNotSubscribed::_type = certi::e_ObjectClassNotSubscribed ;
-long certi::ObjectNotKnown::_type = certi::e_ObjectNotKnown ;
-long certi::ObjectAlreadyRegistered::_type = certi::e_ObjectAlreadyRegistered ;
-long certi::OwnershipAcquisitionPending::_type = certi::e_OwnershipAcquisitionPending ;
-long certi::RegionInUse::_type = certi::e_RegionInUse ;
-long certi::RegionNotKnown::_type = certi::e_RegionNotKnown ;
-long certi::RestoreInProgress::_type = certi::e_RestoreInProgress ;
-long certi::RestoreNotRequested::_type = certi::e_RestoreNotRequested ;
-long certi::RTIinternalError::_type = certi::e_RTIinternalError ;
-long certi::SpaceNotDefined::_type = certi::e_SpaceNotDefined ;
-long certi::SaveInProgress::_type = certi::e_SaveInProgress ;
-long certi::SaveNotInitiated::_type = certi::e_SaveNotInitiated ;
-long certi::SpecifiedSaveLabelDoesNotExist::_type = certi::e_SpecifiedSaveLabelDoesNotExist ;
-long certi::SynchronizationPointLabelWasNotAnnounced::_type = certi::e_SynchronizationPointLabelWasNotAnnounced ;
-long certi::TimeAdvanceAlreadyInProgress::_type = certi::e_TimeAdvanceAlreadyInProgress ;
-long certi::TimeAdvanceWasNotInProgress::_type = certi::e_TimeAdvanceWasNotInProgress ;
-long certi::TimeConstrainedAlreadyEnabled::_type = certi::e_TimeConstrainedAlreadyEnabled ;
-long certi::TimeConstrainedWasNotEnabled::_type = certi::e_TimeConstrainedWasNotEnabled ;
-long certi::TimeRegulationAlreadyEnabled::_type = certi::e_TimeRegulationAlreadyEnabled ;
-long certi::TimeRegulationWasNotEnabled::_type = certi::e_TimeRegulationWasNotEnabled ;
-long certi::UnableToPerformSave::_type = certi::e_UnableToPerformSave ;
-long certi::ValueCountExceeded::_type = certi::e_ValueCountExceeded ;
-long certi::ValueLengthExceeded::_type = certi::e_ValueLengthExceeded ;
+long ArrayIndexOutOfBounds::_type = e_ArrayIndexOutOfBounds ;
+long AsynchronousDeliveryAlreadyDisabled::_type = e_AsynchronousDeliveryAlreadyDisabled ;
+long AsynchronousDeliveryAlreadyEnabled::_type = e_AsynchronousDeliveryAlreadyEnabled ;
+long AttributeAcquisitionWasNotRequested::_type = e_AttributeAcquisitionWasNotRequested ;
+long AttributeAcquisitionWasNotCanceled::_type = e_AttributeAcquisitionWasNotCanceled ;
+long AttributeAlreadyBeingAcquired::_type = e_AttributeAlreadyBeingAcquired ;
+long AttributeAlreadyBeingDivested::_type = e_AttributeAlreadyBeingDivested ;
+long AttributeAlreadyOwned::_type = e_AttributeAlreadyOwned ;
+long AttributeDivestitureWasNotRequested::_type = e_AttributeDivestitureWasNotRequested ;
+long AttributeNotDefined::_type = e_AttributeNotDefined ;
+long AttributeNotKnown::_type = e_AttributeNotKnown ;
+long AttributeNotOwned::_type = e_AttributeNotOwned ;
+long AttributeNotPublished::_type = e_AttributeNotPublished ;
+long ConcurrentAccessAttempted::_type = e_ConcurrentAccessAttempted ;
+long CouldNotDiscover::_type = e_CouldNotDiscover ;
+long CouldNotOpenFED::_type = e_CouldNotOpenFED ;
+long CouldNotRestore::_type = e_CouldNotRestore ;
+long DeletePrivilegeNotHeld::_type = e_DeletePrivilegeNotHeld ;
+long DimensionNotDefined::_type = e_DimensionNotDefined ;
+long EnableTimeConstrainedPending::_type = e_EnableTimeConstrainedPending ;
+long EnableTimeConstrainedWasNotPending::_type = e_EnableTimeConstrainedWasNotPending ;
+long EnableTimeRegulationPending::_type = e_EnableTimeRegulationPending ;
+long EnableTimeRegulationWasNotPending::_type = e_EnableTimeRegulationWasNotPending ;
+long ErrorReadingFED::_type = e_ErrorReadingFED ;
+long EventNotKnown::_type = e_EventNotKnown ;
+long FederateAlreadyExecutionMember::_type = e_FederateAlreadyExecutionMember ;
+long FederateInternalError::_type = e_FederateInternalError ;
+long FederateLoggingServiceCalls::_type = e_FederateLoggingServiceCalls ;
+long FederateNotExecutionMember::_type = e_FederateNotExecutionMember ;
+long FederateOwnsAttributes::_type = e_FederateOwnsAttributes ;
+long FederateWasNotAskedToReleaseAttribute::_type = e_FederateWasNotAskedToReleaseAttribute ;
+long FederatesCurrentlyJoined::_type = e_FederatesCurrentlyJoined ;
+long FederationExecutionAlreadyExists::_type = e_FederationExecutionAlreadyExists ;
+long FederationExecutionDoesNotExist::_type = e_FederationExecutionDoesNotExist ;
+long FederationTimeAlreadyPassed::_type = e_FederationTimeAlreadyPassed ;
+long HandleValuePairMaximumExceeded::_type = e_HandleValuePairMaximumExceeded ;
+long InteractionClassNotDefined::_type = e_InteractionClassNotDefined ;
+long InteractionClassNotKnown::_type = e_InteractionClassNotKnown ;
+long InteractionClassNotPublished::_type = e_InteractionClassNotPublished ;
+long InteractionClassNotSubscribed::_type = e_InteractionClassNotSubscribed ;
+long InteractionParameterNotDefined::_type = e_InteractionParameterNotDefined ;
+long InteractionParameterNotKnown::_type = e_InteractionParameterNotKnown ;
+long InvalidExtents::_type = e_InvalidExtents ;
+long InvalidFederationTime::_type = e_InvalidFederationTime ;
+long InvalidHandleValuePairSetContext::_type = e_InvalidHandleValuePairSetContext ;
+long InvalidLookahead::_type = e_InvalidLookahead ;
+long InvalidOrderingHandle::_type = e_InvalidOrderingHandle ;
+long InvalidRegionContext::_type = e_InvalidRegionContext ;
+long InvalidResignAction::_type = e_InvalidResignAction ;
+long InvalidRetractionHandle::_type = e_InvalidRetractionHandle ;
+long InvalidTransportationHandle::_type = e_InvalidTransportationHandle ;
+long MemoryExhausted::_type = e_MemoryExhausted ;
+long NameNotFound::_type = e_NameNotFound ;
+long ObjectClassNotDefined::_type = e_ObjectClassNotDefined ;
+long ObjectClassNotKnown::_type = e_ObjectClassNotKnown ;
+long ObjectClassNotPublished::_type = e_ObjectClassNotPublished ;
+long ObjectClassNotSubscribed::_type = e_ObjectClassNotSubscribed ;
+long ObjectNotKnown::_type = e_ObjectNotKnown ;
+long ObjectAlreadyRegistered::_type = e_ObjectAlreadyRegistered ;
+long OwnershipAcquisitionPending::_type = e_OwnershipAcquisitionPending ;
+long RegionInUse::_type = e_RegionInUse ;
+long RegionNotKnown::_type = e_RegionNotKnown ;
+long RestoreInProgress::_type = e_RestoreInProgress ;
+long RestoreNotRequested::_type = e_RestoreNotRequested ;
+long RTIinternalError::_type = e_RTIinternalError ;
+long SpaceNotDefined::_type = e_SpaceNotDefined ;
+long SaveInProgress::_type = e_SaveInProgress ;
+long SaveNotInitiated::_type = e_SaveNotInitiated ;
+long SpecifiedSaveLabelDoesNotExist::_type = e_SpecifiedSaveLabelDoesNotExist ;
+long SynchronizationPointLabelWasNotAnnounced::_type = e_SynchronizationPointLabelWasNotAnnounced ;
+long TimeAdvanceAlreadyInProgress::_type = e_TimeAdvanceAlreadyInProgress ;
+long TimeAdvanceWasNotInProgress::_type = e_TimeAdvanceWasNotInProgress ;
+long TimeConstrainedAlreadyEnabled::_type = e_TimeConstrainedAlreadyEnabled ;
+long TimeConstrainedWasNotEnabled::_type = e_TimeConstrainedWasNotEnabled ;
+long TimeRegulationAlreadyEnabled::_type = e_TimeRegulationAlreadyEnabled ;
+long TimeRegulationWasNotEnabled::_type = e_TimeRegulationWasNotEnabled ;
+long UnableToPerformSave::_type = e_UnableToPerformSave ;
+long ValueCountExceeded::_type = e_ValueCountExceeded ;
+long ValueLengthExceeded::_type = e_ValueLengthExceeded ;
 
 //  TypeException managing (how to obtain TypeException from Exception name ?)
-long certi::FederateNotPublishing::_type = certi::e_FederateNotPublishing ;
-long certi::FederateNotSubscribing::_type = certi::e_FederateNotSubscribing ;
-long certi::InvalidObjectHandle::_type = certi::e_InvalidObjectHandle ;
-long certi::CouldNotOpenRID::_type = certi::e_CouldNotOpenRID ;
-long certi::ErrorReadingRID::_type = certi::e_ErrorReadingRID ;
-long certi::AttributeNotSubscribed::_type = certi::e_AttributeNotSubscribed ;
-long certi::FederationAlreadyPaused::_type = certi::e_FederationAlreadyPaused ;
-long certi::FederationNotPaused::_type = certi::e_FederationNotPaused ;
-long certi::SecurityError::_type = certi::e_SecurityError ;
-long certi::FederateAlreadyPaused::_type = certi::e_FederateAlreadyPaused ;
-long certi::FederateDoesNotExist::_type = certi::e_FederateDoesNotExist ;
-long certi::FederateNameAlreadyInUse::_type = certi::e_FederateNameAlreadyInUse ;
-long certi::FederateNotPaused::_type = certi::e_FederateNotPaused ;
-long certi::IDsupplyExhausted::_type = certi::e_IDsupplyExhausted ;
-long certi::InvalidDivestitureCondition::_type = certi::e_InvalidDivestitureCondition ;
-long certi::InvalidFederationTimeDelta::_type = certi::e_InvalidFederationTimeDelta ;
-long certi::InvalidRoutingSpace::_type = certi::e_InvalidRoutingSpace ;
-long certi::NoPauseRequested::_type = certi::e_NoPauseRequested ;
-long certi::NoResumeRequested::_type = certi::e_NoResumeRequested ;
-long certi::TooManyIDsRequested::_type = certi::e_TooManyIDsRequested ;
-long certi::UnimplementedService::_type = certi::e_UnimplementedService ;
-long certi::UnknownLabel::_type = certi::e_UnknownLabel ;
-long certi::NetworkError::_type = certi::e_NetworkError ;
-long certi::NetworkSignal::_type = certi::e_NetworkSignal ;
+long FederateNotPublishing::_type = e_FederateNotPublishing ;
+long FederateNotSubscribing::_type = e_FederateNotSubscribing ;
+long InvalidObjectHandle::_type = e_InvalidObjectHandle ;
+long CouldNotOpenRID::_type = e_CouldNotOpenRID ;
+long ErrorReadingRID::_type = e_ErrorReadingRID ;
+long AttributeNotSubscribed::_type = e_AttributeNotSubscribed ;
+long FederationAlreadyPaused::_type = e_FederationAlreadyPaused ;
+long FederationNotPaused::_type = e_FederationNotPaused ;
+long SecurityError::_type = e_SecurityError ;
+long FederateAlreadyPaused::_type = e_FederateAlreadyPaused ;
+long FederateDoesNotExist::_type = e_FederateDoesNotExist ;
+long FederateNameAlreadyInUse::_type = e_FederateNameAlreadyInUse ;
+long FederateNotPaused::_type = e_FederateNotPaused ;
+long IDsupplyExhausted::_type = e_IDsupplyExhausted ;
+long InvalidDivestitureCondition::_type = e_InvalidDivestitureCondition ;
+long InvalidFederationTimeDelta::_type = e_InvalidFederationTimeDelta ;
+long InvalidRoutingSpace::_type = e_InvalidRoutingSpace ;
+long NoPauseRequested::_type = e_NoPauseRequested ;
+long NoResumeRequested::_type = e_NoResumeRequested ;
+long TooManyIDsRequested::_type = e_TooManyIDsRequested ;
+long UnimplementedService::_type = e_UnimplementedService ;
+long UnknownLabel::_type = e_UnknownLabel ;
+long NetworkError::_type = e_NetworkError ;
+long NetworkSignal::_type = e_NetworkSignal ;
 
 static PrettyDebug PD_Exception("CERTI_EXCEPTION",__FILE__);
 
-const std::string certi::Exception::displayMe() const
+const std::string Exception::displayMe() const
 {
     std::stringstream msg;
 
